class VacationRequestDto {
  final String employeeId;
  final DateTime startDate;
  final DateTime endDate;
  final String reason;
  final int type;

  VacationRequestDto({
    required this.employeeId,
    required this.startDate,
    required this.endDate,
    required this.reason,
    required this.type,
  });

  Map<String, dynamic> toJson() {
    return {
      'employeeId': employeeId,
      'startDate': startDate.toIso8601String(),
      'endDate': endDate.toIso8601String(),
      'reason': reason,
      'type': type,
    };
  }
}
